﻿@model MvcWebsiteOcc.Areas.administrators.Models.Staff

@{
    ViewBag.Title = "Thêm nhân viên";
    ViewBag.Description = "tin bài";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}

@{
    IEnumerable<MvcWebsiteOcc.Models.Language> langs = ViewBag.LangList;
    //MvcWebsiteOcc.Areas.administrators.Models.WebsiteDetail detail = ViewBag.Detail;
    MvcWebsiteOcc.Areas.administrators.Models.Staff linkObj = ViewBag.LinkObj;
}

@using (Html.BeginForm())
{    
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)
    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>
                    <div class="widget-buttons">
                        <button type="button" class="btn btn-darkorange " onclick="window.location.href='/administrators/department_manager/staffs_manager'">
                            <i class="fa fa-arrow-left"></i>
                            Hủy
                        </button>
                        <button class="btn btn-success " name="save" type="submit" value="save">Lưu <i class="fa fa-check right"></i></button>
                        <button class="btn btn-success " name="save" type="submit" value="save & next">Lưu & Thêm mới  <i class=" glyphicon glyphicon-retweet right"></i></button>
                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">
                    <div class="widget-main">
                        <div class="row">
                            <div class="tabbable col-lg-12 col-sm-12 col-xs-12">
                                <ul class="nav nav-tabs  tabs-flat">
                                    <li class="active"><a data-toggle="tab" href="#info" aria-expanded="false">Thông tin chung</a></li>
                                    @*<li class=""><a data-toggle="tab" href="#@lang.Lang_Code" aria-expanded="false">
                                            <img src="/Uploaded/images/language/@lang.Lang_Flag">
                                            @lang.Lang_Name</a></li>  *@
                                </ul>
                                <div class="tab-content  tabs-flat">
                                    <div class="tab-pane active" id="info">
                                        <div id="registration-form">
                                            <div class="row">
                                                <div class="tabbable col-lg-7 col-sm-7 col-xs-12">
                                                    <div class="form-title">
                                                        Thông tin nhân viên
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.StaffName)</label>
                                                        @{if (linkObj != null)
                                                          {
                                                            @Html.TextBoxFor(p => p.StaffName, new { @class = "form-control", Value = linkObj.StaffName })
                                                          }
                                                          else
                                                          {
                                                            @Html.TextBoxFor(p => p.StaffName, new { @class = "form-control" })
                                                          }}
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.StaffName)</span>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.StaffAddress)</label>
                                                        @{if (linkObj != null)
                                                          {
                                                            @Html.TextBoxFor(p => p.StaffAddress, new { @class = "form-control", Value = linkObj.StaffAddress })
                                                          }
                                                          else
                                                          {
                                                            @Html.TextBoxFor(p => p.StaffAddress, new { @class = "form-control" })
                                                          }}

                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.StaffAddress)</span>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.StaffBirthDay)</label>
                                                        @{if (linkObj != null && linkObj.StaffBirthDay != null)
                                                          {
                                                               @Html.TextBox("birthDay", DateTime.Parse(linkObj.StaffBirthDay.ToString()).ToString("dd/MM/yyyy") , new { @class = "form-control date-picker", data_date_format = "dd/mm/yyyy", data_mask = "99/99/9999" })
                                                          }
                                                          else
                                                          {
                                                               @Html.TextBox("birthDay", "", new { @class = "form-control date-picker", data_date_format = "dd/mm/yyyy", data_mask = "99/99/9999" })
                                                          }}
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.StaffBirthDay)</span>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.StaffPhone)</label>
                                                        @{if (linkObj != null)
                                                          {
                                                            @Html.TextBoxFor(p => p.StaffPhone, new { @class = "form-control phonemask", Value = linkObj.StaffPhone })
                                                          }
                                                          else
                                                          {
                                                            @Html.TextBoxFor(p => p.StaffPhone, new { @class = "form-control phonemask"  })
                                                          }}
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.StaffPhone)</span>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.StaffMobile)</label>
                                                        @{if (linkObj != null)
                                                          {
                                                            @Html.TextBoxFor(p => p.StaffMobile, new { @class = "form-control mobilemask", Value = linkObj.StaffMobile })
                                                          }
                                                          else
                                                          {
                                                            @Html.TextBoxFor(p => p.StaffMobile, new { @class = "form-control mobilemask" })
                                                          }}
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.StaffMobile)</span>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.StaffEmail)</label>
                                                        @{if (linkObj != null)
                                                          {
                                                            @Html.TextBoxFor(p => p.StaffEmail, new { @class = "form-control", Value = linkObj.StaffEmail })
                                                          }
                                                          else
                                                          {
                                                            @Html.TextBoxFor(p => p.StaffEmail, new { @class = "form-control" })
                                                          }}
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.StaffEmail)</span>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.StaffDescription)</label>

                                                        @Html.TextAreaFor(p => p.StaffDescription, new { @class = "form-control summernote textAuto" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.StaffDescription)</span>
                                                    </div>
                                                </div>


                                                <div class="tabbable col-lg-5 col-sm-5 col-xs-12">
                                                    <div class="form-title">
                                                        Ngôn ngữ
                                                    </div>
                                                    <div class="form-group">
                                                        <div class="row">
                                                            <div class="col-lg-12 col-sm-12 col-xs-12">
                                                                <select class="select" id="Lang_ID" name="Lang_ID" style="width: 100%">
                                                                    @{foreach (var lang in langs)
                                                                      {
                                                                          if (linkObj != null && linkObj.Lang_ID > 0)
                                                                          {
                                                                              if (ViewBag.LangAdd == lang.Lang_ID)
                                                                              {
                                                                        <option value="@lang.Lang_ID" selected="selected" >@lang.Lang_Name</option> 
                                                                              }
                                                                              else
                                                                              {
                                                                        <option value="@lang.Lang_ID" disabled="disabled">@lang.Lang_Name</option>
                                                                              }
                                                                          }
                                                                          else
                                                                          {
                                                                              if (lang.IsDefault == true)
                                                                              {
                                                                        <option value="@lang.Lang_ID" selected="selected">@lang.Lang_Name</option> 
                                                                              }
                                                                              else
                                                                              {
                                                                        <option value="@lang.Lang_ID">@lang.Lang_Name</option>
                                                                              }
                                                                          }
                                                                      }
                                                                    }
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    @if (linkObj != null)
                                                    {
                                                        <div class="form-title">
                                                            Liên kết
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="input-group">
                                                                <span class="input-group-addon">
                                                                    <img src="/Uploaded/images/language/@linkObj.Language.Lang_Flag">
                                                                </span>
                                                                @* <span class="input-group-btn">
                                                                <button class="btn" type="button">Go</button>

                                                            </span>*@
                                                                <input type="hidden" name="LinkID" value="@linkObj.StaffID" />
                                                                @Html.TextBox("linkName", linkObj.StaffName, new { @class = "form-control", @readonly = "readonly" })
                                                            </div>
                                                        </div>
                                                    }
                                                    <div class="form-title">
                                                        Ảnh
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <span class="help-block">Ảnh có định dạng .png, .jpg ... ! </span>
                                                            @{if (linkObj != null)
                                                              {
                                                                <span class="help-block warning"><b>Lưu ý:</b>  Nếu dùng chung ảnh với ngôn ngữ mặc định không cần upload ảnh nữa.</span> 
                                                                @Html.HiddenFor(m => m.StaffImage, new { Value = linkObj.StaffImage })
                                                              }
                                                            }
                                                            <span class="help-block warning">@ViewBag.Mess</span>
                                                        </div>

                                                        <div class="col-lg-12 col-sm-12 col-xs-12">

                                                            @(Html.Kendo().Upload()
                                                                .Name("file_image")
                                                                .TemplateId("fileTemplate")
                                                                .Events(events => events.Select("onSelect"))
                                                                .Messages(m => m.Select("Upload ảnh"))
                                                                .Multiple(false)
                                                               )


                                                            <script id="fileTemplate" type="text/x-kendo-template">
    
                                                                <span class='k-progress'></span>
                                                                <img class='k-icon k_img_one #=addExtensionClass(files[0].extension)#'/> <!-- here im trying to bind the image -->
                                                                <span class='k-filename'>#=name#</span>
                                                                <strong class="k-upload-status">
                                                                    <button type="button" class="k-button k-button-bare k-upload-action">
                                                                        <span class="k-icon k-i-close k-delete" title="Remove"></span>
                                                                    </button>
                                                                </strong>

                                                            </script>
                                                        </div>
                                                    </div>
                                                    <div class="form-title">
                                                        Chức vụ
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            @{if (linkObj != null)
                                                              {
                                                                <input type ="hidden" id="langADD" value="@ViewBag.LangAdd" />
                                                                <input type ="hidden" id="linkIDA" value="@linkObj.StaffID" /> 
                                                              }
                                                              else
                                                              {
                                                                <input type ="hidden" id="langADD" value="@ViewBag.LangAdd" />
                                                                <input type="hidden" id="linkIDA" value="" /> 
                                                              }}
                                                            <div id="dvPositionResults" class="list_border list_height" >
                                                                @{if (linkObj != null)
                                                                  {
                                                                      Html.RenderAction("_staff_position_add", "department_manager", new { langID = ViewBag.LangAdd, linkStaffID = linkObj.StaffID });
                                                                  }
                                                                  else
                                                                  {
                                                                      Html.RenderAction("_staff_position_add", "department_manager");
                                                                  }
                                                                }

                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="form-title">
                                                        Khu vực hiển thị
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div class="list_border">
                                                                <div class="col-lg-12 col-sm-12 col-xs-12">
                                                                    @{if (linkObj != null)
                                                                      {
                                                                          var staffViews = linkObj.StaffViews.ToList();
                                                                          if (staffViews.Count > 0)
                                                                          {
                                                                              if (staffViews.Count == 1 && staffViews[0].ViewType == 1)
                                                                              {
                                                                        <div class="checkbox">
                                                                            <label>
                                                                                <input class="colored-danger" name="StaffView" type="checkbox" value="1" checked="checked" />
                                                                                <input type="hidden" value="false" /><span class="text">Ban giám đốc</span></label>
                                                                        </div>  
                                                                              }
                                                                              else
                                                                              {
                                                                        <div class="checkbox">
                                                                            <label>
                                                                                <input class="colored-danger" name="StaffView" type="checkbox" value="1" />
                                                                                <input type="hidden" value="false" /><span class="text">Ban giám đốc</span></label>
                                                                        </div>   
                                                                              }

                                                                              if (staffViews.Count == 2 && staffViews[1].ViewType == 2)
                                                                              {
                                                                        <div class="checkbox">
                                                                            <label>
                                                                                <input class="colored-danger" name="StaffView" type="checkbox" value="2" checked="checked" />
                                                                                <input type="hidden" value="false" /><span class="text">Chăm sóc khách hàng</span></label>
                                                                        </div>
                                                                        
                                                                              }
                                                                              else
                                                                              {
                                                                        <div class="checkbox">
                                                                            <label>
                                                                                <input class="colored-danger" name="StaffView" type="checkbox" value="2" />
                                                                                <input type="hidden" value="false" /><span class="text">Chăm sóc khách hàng</span></label>
                                                                        </div>
                                                                              }

                                                                              if (staffViews.Count == 3 && staffViews[2].ViewType == 3)
                                                                              {
                                                                        <div class="checkbox">
                                                                            <label>
                                                                                <input class="colored-danger" name="StaffView" type="checkbox" value="3" checked="checked" />
                                                                                <input type="hidden" value="false" /><span class="text">Tài xế</span></label>
                                                                        </div>
                                                                        
                                                                              }
                                                                              else
                                                                              {
                                                                        <div class="checkbox">
                                                                            <label>
                                                                                <input class="colored-danger" name="StaffView" type="checkbox" value="3" />
                                                                                <input type="hidden" value="false" /><span class="text">Tài xế</span></label>
                                                                        </div>
                                                                              }
                                                                          }
                                                                          else
                                                                          {
                                                                        <div class="checkbox">
                                                                            <label>
                                                                                <input class="colored-danger" name="StaffView" type="checkbox" value="1" />
                                                                                <input type="hidden" value="false" /><span class="text">Ban giám đốc</span></label>
                                                                        </div>
                                                                        <div class="checkbox">
                                                                            <label>
                                                                                <input class="colored-danger" name="StaffView" type="checkbox" value="2" />
                                                                                <input type="hidden" value="false" /><span class="text">Chăm sóc khách hàng</span></label>
                                                                        </div>
                                                                        <div class="checkbox">
                                                                            <label>
                                                                                <input class="colored-danger" name="StaffView" type="checkbox" value="3" />
                                                                                <input type="hidden" value="false" /><span class="text">Tài xế</span></label>
                                                                        </div>
                                                                          }
                                                                      }
                                                                      else
                                                                      {
                                                                        <div class="checkbox">
                                                                            <label>
                                                                                <input class="colored-danger" name="StaffView" type="checkbox" value="1" />
                                                                                <input type="hidden" value="false" /><span class="text">Ban giám đốc</span></label>
                                                                        </div>

                                                                        <div class="checkbox">
                                                                            <label>
                                                                                <input class="colored-danger" name="StaffView" type="checkbox" value="2" />
                                                                                <input type="hidden" value="false" /><span class="text">Chăm sóc khách hàng</span></label>
                                                                        </div>
                                                                        <div class="checkbox">
                                                                            <label>
                                                                                <input class="colored-danger" name="StaffView" type="checkbox" value="3" />
                                                                                <input type="hidden" value="false" /><span class="text">Tài xế</span></label>
                                                                        </div>
                                                                      }}


                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="form-title">
                                                        Xe & Bằng lái
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div class="form-group">
                                                                <label for="emailInput">Xe đang vận hành</label>
                                                                @{if (linkObj != null)
                                                                  {
                                                                      Html.RenderAction("_staff_carmodels_add", "department_manager", new { langID = ViewBag.LangAdd, linkCarID = linkObj.ModID });
                                                                  }
                                                                  else
                                                                  {
                                                                      Html.RenderAction("_staff_carmodels_add", "department_manager");
                                                                  }
                                                                }

                                                            </div>
                                                            <div class="form-group">
                                                                <label for="emailInput">Biển số xe</label>
                                                                @{if (linkObj != null)
                                                                  {
                                                                    @Html.TextBoxFor(p => p.CarNumber, new { @class = "form-control", Value = linkObj.CarNumber })
                                                                  }
                                                                  else
                                                                  {
                                                                    @Html.TextBoxFor(p => p.CarNumber, new { @class = "form-control" })
                                                                  }}

                                                                <span class="help-block warning">@Html.ValidationMessageFor(p => p.CarNumber)</span>
                                                            </div>
                                                            <div class="form-group">
                                                                <label for="emailInput">Bằng lái</label>
                                                                @{if (linkObj != null)
                                                                  {
                                                                    @Html.TextBoxFor(p => p.DriverLicense, new { @class = "form-control", Value = linkObj.DriverLicense })
                                                                  }
                                                                  else
                                                                  {
                                                                    @Html.TextBoxFor(p => p.DriverLicense, new { @class = "form-control" })
                                                                  }}

                                                                <span class="help-block warning">@Html.ValidationMessageFor(p => p.DriverLicense)</span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="form-title">
                                                        Mạng xã hội 
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div class="form-group">
                                                                <label for="emailInput">@Html.LabelFor(model => model.StaffFace)</label>
                                                                @{if (linkObj != null)
                                                                  {
                                                                    @Html.TextBoxFor(p => p.StaffFace, new { @class = "form-control", Value = linkObj.StaffFace })
                                                                  }
                                                                  else
                                                                  {
                                                                    @Html.TextBoxFor(p => p.StaffFace, new { @class = "form-control" })
                                                                  }}

                                                                <span class="help-block warning">@Html.ValidationMessageFor(p => p.StaffFace)</span>
                                                            </div>
                                                            <div class="form-group">
                                                                <label for="emailInput">@Html.LabelFor(model => model.StaffTwitter)</label>
                                                                @{if (linkObj != null)
                                                                  {
                                                                    @Html.TextBoxFor(p => p.StaffTwitter, new { @class = "form-control", Value = linkObj.StaffTwitter })
                                                                  }
                                                                  else
                                                                  {
                                                                    @Html.TextBoxFor(p => p.StaffTwitter, new { @class = "form-control" })
                                                                  }}

                                                                <span class="help-block warning">@Html.ValidationMessageFor(p => p.StaffTwitter)</span>
                                                            </div>
                                                            <div class="form-group">
                                                                <label for="emailInput">@Html.LabelFor(model => model.StaffGoogle)</label>
                                                                @{if (linkObj != null)
                                                                  {
                                                                    @Html.TextBoxFor(p => p.StaffGoogle, new { @class = "form-control", Value = linkObj.StaffGoogle })
                                                                  }
                                                                  else
                                                                  {
                                                                    @Html.TextBoxFor(p => p.StaffGoogle, new { @class = "form-control" })
                                                                  }}

                                                                <span class="help-block warning">@Html.ValidationMessageFor(p => p.StaffGoogle)</span>
                                                            </div>
                                                            <div class="form-group">
                                                                <label for="emailInput">@Html.LabelFor(model => model.StaffSkype)</label>
                                                                @{if (linkObj != null)
                                                                  {
                                                                    @Html.TextBoxFor(p => p.StaffSkype, new { @class = "form-control", Value = linkObj.StaffSkype })
                                                                  }
                                                                  else
                                                                  {
                                                                    @Html.TextBoxFor(p => p.StaffSkype, new { @class = "form-control" })
                                                                  }}

                                                                <span class="help-block warning">@Html.ValidationMessageFor(p => p.StaffSkype)</span>
                                                            </div>
                                                            <div class="form-group">
                                                                <label for="emailInput">@Html.LabelFor(model => model.StaffYahoo)</label>
                                                                @{if (linkObj != null)
                                                                  {
                                                                    @Html.TextBoxFor(p => p.StaffYahoo, new { @class = "form-control", Value = linkObj.StaffYahoo })
                                                                  }
                                                                  else
                                                                  {
                                                                    @Html.TextBoxFor(p => p.StaffYahoo, new { @class = "form-control" })
                                                                  }}

                                                                <span class="help-block warning">@Html.ValidationMessageFor(p => p.StaffYahoo)</span>
                                                            </div>

                                                        </div>
                                                    </div>

                                                </div>

                                            </div>

                                        </div>
                                    </div>


                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
}

<script>



    function onSelectFile(e) {
        var files = e.files;

        //check type file
        $.each(e.files, function (index, value) {
            var ext = e.files[index].extension.toLowerCase();
            if ($.inArray(ext, ['.doc', '.docx', '.xls', '.xlsx', '.pdf', '.gif', '.jpeg', '.jpg', '.png']) == -1) {
                //alert('Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png');

                e.preventDefault();
                $('#modal-warning-file').modal('show')
            }
        });

        function appendText() {

        }

    }
    var a = 0;
    function onSelect(e) {
        //check image size
        //read file
        $.each(e.files, function (index, value) {
            readMultipleFiles(value);
        });
        //check type file
        $.each(e.files, function (index, value) {
            var ext = e.files[index].extension.toLowerCase();
            if ($.inArray(ext, ['.gif', '.jpeg', '.jpg', '.png']) == -1) {
                //alert('Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png');
                $('#modal-warning').modal('show')
                e.preventDefault();
            }

        });



        a++;
    }
    //set class for <img/>
    function addExtensionClass(extension) {
        return 'viewImg' + a;
    }
    //set src for <img/>
    function readMultipleFiles(file) {
        var reader = new FileReader();
        reader.onload = function (e) {
            // bind the file content
            $('.viewImg' + a + '').attr({ src: e.target.result });
        }
        reader.readAsDataURL(file.rawFile);
    }
</script>


<div class="modal fade modal-message modal-warning" id="modal-warning-file" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                Bạn chỉ có thể upload file có định dạng .doc, .docx, .xls, .xlsx, .pdf, .gif, .jpeg, .jpg, .png
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade modal-message modal-warning" id="modal-warning" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>



@section PageScripts{

    <!--Jquery Autosize-->
    <script src="/Static/admin/assets/js/textarea/jquery.autosize.js"></script>

    <!--Bootstrap Date Picker-->
    <script src="/Static/admin/assets/js/datetime/bootstrap-datepicker.js"></script>

    <script src="/Static/admin/assets/js/jasny-bootstrap.min.js"></script>

    <script>
        //--Bootstrap Date Picker--
        $('.date-picker').datepicker();

        $('.textAuto').autosize({ append: "\n" });

        //$('select[id=Lang_ID]').change(function () {
        //    $('')
        //    alert($(this).val()
        //        );
        //});


        //$('#Lang_ID').change(function () {
        //    /* Get the selected value of dropdownlist */
        //    var langIDS = $(this).val();
        //    $('#selectLang').val = langIDS;
        //    $("#dvCategoryResults").load('/administrators/department_manager/_staff_deps_add?langID=' + langIDS);
        //    //$("#dvPositionResults").load('/administrators/department_manager/_staff_position_add?langID=' + langIDS);

        //});

        $('#DepID').change(function () {
            /* Get the selected value of dropdownlist */
            var depIDS = $(this).val();
            var langDef = $('#langADD').val();
            var linkID = $('#linkIDA').val();
            $("#dvPositionResults").load('/administrators/department_manager/_staff_position_add?depID=' + depIDS + '&langID=' + langDef + '&linkID=' + linkID);

        });

        $(document).ready(function () {

            $("#depts").addClass("active open");
            $("#staff").addClass("active");
        });

    </script>

    <!--Summernote Scripts-->
    <script src="/Static/admin/assets/js/editors/summernote/summernote.js"></script>
    <script src="/Static/admin/assets/js/editors/summernote/summernote-vi-VN.js"></script>
    <script>

        $(document).ready(function () {
            $('.summernote').summernote({
                onImageUpload: function (files, editor, welEditable) {
                    sendFile(files[0], editor, welEditable);
                }
            });
            function sendFile(file, editor, welEditable) {
                data = new FormData();
                data.append("file", file);//You can append as many data as you want. Check mozilla docs for this
                url = '/administrators/news_manager/uploadImageNews';
                $.ajax({
                    data: data,
                    dataType: 'json',
                    type: "POST",
                    url: url,
                    cache: false,
                    contentType: false,
                    processData: false,
                    success: function (imageUrl) {
                        editor.insertImage(welEditable, imageUrl);
                    },
                    error: function () {
                        alert(file);
                    }
                });
            }
        });

    </script>

}